Bug 103269 - /usr/include/signal.h doesn't comply with Issue 4, Version 2 of The Open Group Base Specifications
Summary: /usr/include/signal.h doesn't comply with Issue 4, Version 2 of The Open Grou...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-28 12:00 UTC by Unai Uribarri Rodríguez
Modified: 2016-11-24 15:26 UTC (History)
1 user (show)

Fixed In Version: 2.3.2-81
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-08 07:53:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Unai Uribarri Rodríguez 2003-08-28 12:00:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4) Gecko/20030624

Description of problem:
Sigset, sighold, sigrelse, sigpause and sigignore are functions defined since
Issue 4, Version 2 of The Open Group Base Specifications. (see
http://www.opengroup.org/onlinepubs/007904975/functions/sigset.html)

But /usr/include/signal.h only defines that functions if you selects the Issue 5
(UNIX98).

The fix seems easy:

--- /usr/include/signal.h       Tue Apr 23 11:53:01 2002
+++ signal.h    Thu Aug 28 13:49:12 2003
@@ -336,7 +336,7 @@

 #endif /* use BSD or X/Open Unix.  */

-#ifdef __USE_UNIX98
+#ifdef __USE_XOPEN_EXTENDED
 /* Simplified interface for signal management.  */

 /* Add SIG to the calling process' signal mask.  */


Version-Release number of selected component (if applicable):
glibc-devel-2.2.4-26

How reproducible:
Always

Steps to Reproduce:
1.Compile a Unix'95 application that uses sigset function
2.
3.
    

Additional info:

Comment 1 Jakub Jelinek 2003-09-08 07:53:52 UTC
Fixed in glibc-2.3.2-{81,82} (RHEL3 sushi, rawhide).


Note You need to log in before you can comment on or make changes to this bug.